MIT License

Copyright (c) 2022 minmin1014

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
# 基本方針・コード概要

スロットの3つの柄をあわせたらあたりの簡単なゲーム

運試しが趣旨のため景品など射幸心を煽る音や演出はなし

# コードの難易度

コンピ演習1A-17の誰が見ても一瞬でわかるコードを目指してコードを作成

基本はrandomをtkinterのclick関数で引き出す

tkinterでボタンを配置してGUIを整えたら完成！

# 改善点

出た目が揃ったときにtkinterのmessageでポップアップを出そうと思って書いたコードの残骸がソースコードの最後に残ってるw

コメントアウトを解除するとコードを回した最初にポップアップが出てきてしまうが本来は揃ったときにポップアップが出てほしい

時間がなかったため煮詰められなかったが余裕がある時にデバックしようと思う。

# ソースコード
```python

import tkinter as tk
import tkinter.messagebox as tmsg
import random
from tkinter import messagebox


def BtnClk1():
  txt1.insert(0,random.randint(0,9)) 

def BtnClk2():
  txt2.insert(0,random.randint(0,9))

def BtnClk3():
  txt3.insert(0,random.randint(0,9)) 

def BtnClikClr():
    txt1.delete(0,tk.END)
    txt2.delete(0,tk.END)
    txt3.delete(0,tk.END)
    
root = tk.Tk()
root.geometry("500x200")
root.title("スロット運試し")

txt1 = tk.Entry(width=5)
txt1.place(x=90, y=60)

btn1 = tk.Button(root, text="O", command=BtnClk1)
btn1.place(x=95, y=90)

txt2 = tk.Entry(width=5)
txt2.place(x=250, y=60)

btn2 = tk.Button(root, text="O", command=BtnClk2)
btn2.place(x=255, y=90)

txt3 = tk.Entry(width=5)
txt3.place(x=410, y=60)

btn3 = tk.Button(root, text="O", command=BtnClk3)
btn3.place(x=415, y=90)

btnClr = tk.Button(root, text="clear", command=BtnClikClr)
btnClr.place(x=250, y=150)

num1 = txt1.get()
num2 = txt2.get()
num3 = txt3.get()

#if num1 == num2 == num3:
    #messagebox.showinfo("当たり","当選です！")


root.mainloop()
```
